#ifndef __EPGSEARCHCMD_H
#define __EPGSEARCHCMD_H

#include <vdr/menuitems.h>

// --- cMenuViewerOpen ---------------------------------------------------------

class cMenuViewerOpen : public cOsdMenu {
private:
  bool directCall;
  char Filename[MaxFileName];
  char *pFilename;
  char *Syslog;
  eOSState HandleFilebrowser(void);
  bool bSubMenuOk;
public:
  cMenuViewerOpen(const char *Title, char *filename, char *FileNames[MAX_VIEWER_FILES], char *syslog, bool DirectCall = false);
  virtual ~cMenuViewerOpen();
  virtual eOSState ProcessKey(eKeys Key);
};

#endif
